This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 606727 - Network interface APis are not operational
Network interface APis are not operational
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 06:36 EDT by Kamil Páral
Modified: 2011-06-01 14:38 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 14:38:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
network interface management in virt-manager (20.81 KB, image/png)
2010-06-22 06:36 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2010-06-22 06:36:12 EDT
Created attachment 425886 [details]
network interface management in virt-manager

Description of problem:
According to
http://fedoraproject.org/wiki/Features/Shared_Network_Interface
virt-manager should be able to configure network bridges in Fedora 13. However, when opening virt-manager->Host details->Network interfaces, I see message:
"libvirt connection does not support interface management"
and everything grayed out.

Version-Release number of selected component (if applicable):
libvirt-0.7.7-4.fc13.x86_64
libvirt-client-0.7.7-4.fc13.x86_64
libvirt-python-0.7.7-4.fc13.x86_64
python-virtinst-0.500.3-1.fc13.noarch
virt-manager-0.8.4-1.fc13.noarch
virt-top-1.0.4-3.fc13.x86_64
virt-viewer-0.2.1-1.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. Follow http://fedoraproject.org/wiki/Features/Shared_Network_Interface#How_To_Test
2. After step 2, everything is disabled and error message displayed
  
Actual results:
libvirt can't manage network bridges

Expected results:
libvirt can manage network bridges

Additional info:
See screenshot
Comment 1 James Cassell 2010-08-05 23:10:47 EDT
Are you sure you have a hypervisor installed?  It worked for me once I installed qemu-kvm.
Comment 2 Kamil Páral 2010-08-06 03:39:41 EDT
# rpm -qa '*kvm*' '*virt*' '*qemu*' | sort
etherboot-zroms-kvm-5.4.4-18.fc13.noarch
gpxe-roms-qemu-1.0.0-1.fc13.noarch
libvirt-0.8.2-1.fc13.x86_64
libvirt-client-0.8.2-1.fc13.x86_64
libvirt-python-0.8.2-1.fc13.x86_64
python-virtinst-0.500.3-4.fc13.noarch
qemu-common-0.12.3-8.fc13.x86_64
qemu-img-0.12.3-8.fc13.x86_64
qemu-kvm-0.12.3-8.fc13.x86_64
qemu-system-x86-0.12.3-8.fc13.x86_64
virt-manager-0.8.4-2.fc13.noarch
virt-top-1.0.4-3.fc13.x86_64
virt-viewer-0.2.1-1.fc13.x86_64


Both libvirt and virt-manager works fine for me and I use them often, but I just can't manage my interfaces using them. Surprisingly enough I have seen at my colleague's that he's able to manage his interfaces using virt-manager. He also has Fedora 13. I wonder where the difference is.
Comment 3 Paul Ionescu 2010-08-06 18:15:05 EDT
Same here. F13 / 32bit
Comment 4 Paul Ionescu 2010-08-06 18:18:57 EDT
I mean, same problem. It does not work on F13/32bit.
# rpm -qa '*kvm*' '*virt*' '*qemu*' | sort
gpxe-roms-qemu-1.0.0-1.fc13.noarch
libvirt-0.8.2-1.fc13.i686
libvirt-client-0.8.2-1.fc13.i686
libvirt-python-0.8.2-1.fc13.i686
python-virtinst-0.500.3-4.fc13.noarch
python-virtkey-0.50-6.fc12.i686
qemu-common-0.12.3-8.fc13.i686
qemu-img-0.12.3-8.fc13.i686
qemu-kvm-0.12.3-8.fc13.i686
qemu-system-x86-0.12.3-8.fc13.i686
virt-manager-0.8.4-2.fc13.noarch
Comment 5 Bug Zapper 2011-06-01 11:56:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Kamil Páral 2011-06-01 14:38:40 EDT
This seems to be fixed for me in Fedora 14.

Note You need to log in before you can comment on or make changes to this bug.